Debian Bug report logs - #704151
ITP: quadrule -- C library of quadrature rules for numerical integration

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Neish <neishm@atmosp.physics.utoronto.ca>

Date: Thu, 28 Mar 2013 16:30:06 UTC

Owned by: Mike Neish <neishm@atmosp.physics.utoronto.ca>

Severity: wishlist

Fixed in version quadrule/0~20121001-1

Done: Mike Neish <neishm@atmosp.physics.utoronto.ca>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, neishm@atmosp.physics.utoronto.ca, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#704151; Package wnpp. (Thu, 28 Mar 2013 16:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Neish <neishm@atmosp.physics.utoronto.ca>:
New Bug report received and forwarded. Copy sent to neishm@atmosp.physics.utoronto.ca, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 28 Mar 2013 16:30:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Neish <neishm@atmosp.physics.utoronto.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Thu, 28 Mar 2013 12:27:01 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Mike Neish <neishm@atmosp.physics.utoronto.ca>


* Package name    : quadrule
  Version         : 0~20121001
  Upstream Author : John Burkardt <jburkardt@fsu.edu>
* URL             : http://people.sc.fsu.edu/~jburkardt/c_src/quadrule/quadrule.html
* License         : LGPL3
  Programming Lang: C
  Description     : C library of quadrature rules for numerical integration

The original code consists of a single header file (quadrule.h) and C source file (quadrule.c).  There is an autoconf-wrapped version that I've put together, at http://www.atmosp.physics.utoronto.ca/~neishm/quadrule/.  I've shared this version with the original author, and have his permission to use it as a basis for creating a Debian package.

I've played around with making a Debian package that I can build and install on my local desktop, although I'm probably missing a few details.  It takes the source package and generates two binary packages:
libquadrule1 - The shared library, for run-time use
libquadrule-dev - The header file, man page, and generic "libquadrule.so" soft link.

I don't expect the upstream code to change very often (or at all), so I would have no problem with maintaining the package over the long term.
[quadrule_0~20121001-1.debian.tar.gz (application/x-gzip, attachment)]

Added blocking bug(s) of 704151: 704555 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 04:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Bug#704151; Package wnpp. (Wed, 17 Apr 2013 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-science-maintainers@lists.alioth.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>. (Wed, 17 Apr 2013 19:51:04 GMT) Full text and rfc822 format available.

Message #12 received at 704151@bugs.debian.org (full text, mbox):

From: Mike Neish <neishm@atmosp.physics.utoronto.ca>
To: 704151@bugs.debian.org
Subject: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Wed, 17 Apr 2013 15:42:22 -0400
User: debian-science@lists.debian.org

In a response to my RFS 
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704555) it was 
suggested that I maintain this package under the debian-science team.  
So, I will be moving the package to the Debian Science VCS at 
http://git.debian.org/?p=debian-science/packages/quadrule.git

I hope I'm doing this right.

Thanks,
Mike Neish



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704151; Package wnpp. (Wed, 17 Apr 2013 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Apr 2013 20:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 704151@bugs.debian.org (full text, mbox):

From: Mike Neish <neishm@atmosp.physics.utoronto.ca>
To: debian-science-maintainers@lists.alioth.debian.org, 704151@bugs.debian.org
Subject: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Wed, 17 Apr 2013 16:18:07 -0400
User: debian-science@lists.debian.org

In a response to my RFS 
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704555) it was 
suggested that I maintain this package under the debian-science team. 
So, I will be moving the package to the Debian Science VCS at 
http://git.debian.org/?p=debian-science/packages/quadrule.git

I hope I'm doing this right.

Thanks,
Mike Neish



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Bug#704151; Package wnpp. (Thu, 18 Apr 2013 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to christophe.trophime@lncmi.cnrs.fr:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>. (Thu, 18 Apr 2013 07:51:05 GMT) Full text and rfc822 format available.

Message #22 received at 704151@bugs.debian.org (full text, mbox):

From: trophime <christophe.trophime@lncmi.cnrs.fr>
To: Mike Neish <neishm@atmosp.physics.utoronto.ca>
Cc: debian-science-maintainers@lists.alioth.debian.org, 704151@bugs.debian.org
Subject: Re: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Thu, 18 Apr 2013 09:41:14 +0200
On Wed, 2013-04-17 at 16:18 -0400, Mike Neish wrote:
> User: debian-science@lists.debian.org
> 
> In a response to my RFS 
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704555) it was 
> suggested that I maintain this package under the debian-science team. 
> So, I will be moving the package to the Debian Science VCS at 
> http://git.debian.org/?p=debian-science/packages/quadrule.git
> 
> I hope I'm doing this right.
> 
> Thanks,
> Mike Neish
> 

Hi,
I just tried to clone the git repository and end up with an error
"""
git clone http://git.debian.org/?p=debian-science/packages/quadrule.git
Cloning into 'quadrule'...
fatal:
http://git.debian.org/?p=debian-science/packages/quadrule.git/info/refs
not found: did you run git update-server-info on the server?
"""

Best regards
C
-- 


Christophe TROPHIME
Research Engineer

LNCMI
CNRS - LNCMI
25, rue des Martyrs
BP 166
38042 GRENOBLE Cedex 9
FRANCE
CNRS

Tel : +33 (0)4 76 88 90 02 
Fax : +33 (0) 4 76 88 10 01
Office U 19 
M@il : christophe.trophime@lncmi.cnrs.fr 
________________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Bug#704151; Package wnpp. (Thu, 18 Apr 2013 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>. (Thu, 18 Apr 2013 07:57:04 GMT) Full text and rfc822 format available.

Message #27 received at 704151@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: christophe.trophime@lncmi.cnrs.fr
Cc: 704151@bugs.debian.org, debian-science-maintainers@lists.alioth.debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>
Subject: Re: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Thu, 18 Apr 2013 10:53:25 +0300
Hi,

> I just tried to clone the git repository and end up with an error
> """
> git clone http://git.debian.org/?p=debian-science/packages/quadrule.git
> Cloning into 'quadrule'...
> fatal:
> http://git.debian.org/?p=debian-science/packages/quadrule.git/info/refs
> not found: did you run git update-server-info on the server?
> """

You are doing it wrong. Just open link [1] in web browser and you will see
the correct URLs for `git clone`.

[1] http://git.debian.org/?p=debian-science/packages/quadrule.git

Best wishes,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Bug#704151; Package wnpp. (Thu, 18 Apr 2013 08:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>. (Thu, 18 Apr 2013 08:06:07 GMT) Full text and rfc822 format available.

Message #32 received at 704151@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Boris Pek <tehnick-8@yandex.ru>
Cc: 704151@bugs.debian.org, Mike Neish <neishm@atmosp.physics.utoronto.ca>, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Thu, 18 Apr 2013 10:01:56 +0200
Hi,

I sponsored the package last night. Thanks for contribution!
Please, consider for the future uploads an adding of auto-tests.
It is always useful.

Anton

2013/4/18 Boris Pek <tehnick-8@yandex.ru>:
> Hi,
>
>> I just tried to clone the git repository and end up with an error
>> """
>> git clone http://git.debian.org/?p=debian-science/packages/quadrule.git
>> Cloning into 'quadrule'...
>> fatal:
>> http://git.debian.org/?p=debian-science/packages/quadrule.git/info/refs
>> not found: did you run git update-server-info on the server?
>> """
>
> You are doing it wrong. Just open link [1] in web browser and you will see
> the correct URLs for `git clone`.
>
> [1] http://git.debian.org/?p=debian-science/packages/quadrule.git
>
> Best wishes,
> Boris
>
> --
> debian-science-maintainers mailing list
> debian-science-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-science-maintainers



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 08:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#704151; Package wnpp. (Thu, 18 Apr 2013 22:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 18 Apr 2013 22:15:07 GMT) Full text and rfc822 format available.

Message #39 received at 704151@bugs.debian.org (full text, mbox):

From: Mike Neish <neishm@atmosp.physics.utoronto.ca>
To: Anton Gladky <gladk@debian.org>
Cc: Boris Pek <tehnick-8@yandex.ru>, 704151@bugs.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#704151: ITP: quadrule -- C library of quadrature rules for numerical integration
Date: Thu, 18 Apr 2013 18:10:48 -0400
Hi Anton,

Thanks for sponsoring this package, and for all the help in making the 
package suitable for Debian!

Mike


On 13-04-18 04:01 AM, Anton Gladky wrote:
> Hi,
>
> I sponsored the package last night. Thanks for contribution!
> Please, consider for the future uploads an adding of auto-tests.
> It is always useful.
>
> Anton
>




Reply sent to Mike Neish <neishm@atmosp.physics.utoronto.ca>:
You have taken responsibility. (Fri, 19 Apr 2013 15:03:17 GMT) Full text and rfc822 format available.

Notification sent to Mike Neish <neishm@atmosp.physics.utoronto.ca>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 15:03:18 GMT) Full text and rfc822 format available.

Message #44 received at 704151-close@bugs.debian.org (full text, mbox):

From: Mike Neish <neishm@atmosp.physics.utoronto.ca>
To: 704151-close@bugs.debian.org
Subject: Bug#704151: fixed in quadrule 0~20121001-1
Date: Fri, 19 Apr 2013 15:00:11 +0000
Source: quadrule
Source-Version: 0~20121001-1

We believe that the bug you reported is fixed in the latest version of
quadrule, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704151@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Neish <neishm@atmosp.physics.utoronto.ca> (supplier of updated quadrule package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Apr 2013 15:06:35 -0400
Source: quadrule
Binary: libquadrule-dev libquadrule1
Architecture: source amd64
Version: 0~20121001-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Mike Neish <neishm@atmosp.physics.utoronto.ca>
Description: 
 libquadrule-dev - Development files for quadrule
 libquadrule1 - Quadrature rules and numerical integration routines
Closes: 704151
Changes: 
 quadrule (0~20121001-1) unstable; urgency=low
 .
   * Initial release (Closes: #704151)
Checksums-Sha1: 
 c23b0b10c32c71d45cc7d226e3370d596cc58d44 2105 quadrule_0~20121001-1.dsc
 6d6ab0609731d6ad789862c440cf511ad6b501fa 475914 quadrule_0~20121001.orig.tar.gz
 7afe60d65090eb08b7b64730ffbcca72faac67b7 4932 quadrule_0~20121001-1.debian.tar.gz
 4b028d93fd8e207305990476092074456642ed94 145282 libquadrule-dev_0~20121001-1_amd64.deb
 ee493e6aedf61cdfbea9386d5c64c020747e5766 142154 libquadrule1_0~20121001-1_amd64.deb
Checksums-Sha256: 
 57a5ff0bed807b4ebe92d3b1c9e2c50bf036bba07a0cdf01b9b85019876608a8 2105 quadrule_0~20121001-1.dsc
 481fed2321b2b9e912c6aa59596e4625e4f690fc241b28f522d983d5ac2244f6 475914 quadrule_0~20121001.orig.tar.gz
 681c5a80cc64284d6fdc83644ba6a932a947a6e2a500a1fc30e06a7f86dacb05 4932 quadrule_0~20121001-1.debian.tar.gz
 6fb78e0bd0a5ae2221f2eb4735c8a3427aab625fea570c33d3f1c24dd7879019 145282 libquadrule-dev_0~20121001-1_amd64.deb
 e3bfa1120e17ee36c6227336b1bbf2203bcedef06e2c39bbd31dec02e24613f8 142154 libquadrule1_0~20121001-1_amd64.deb
Files: 
 13b82ee580af45093a7aab67123e666a 2105 math extra quadrule_0~20121001-1.dsc
 576aea2653161054e76bc2c905b2f274 475914 math extra quadrule_0~20121001.orig.tar.gz
 5966b7d75682f3fdb59367e550fcba0c 4932 math extra quadrule_0~20121001-1.debian.tar.gz
 ca8210bf6bedca00dc7943c0cc58b62a 145282 libdevel extra libquadrule-dev_0~20121001-1_amd64.deb
 30856b7edbeaa413dc8bccf7b69b4cb7 142154 math extra libquadrule1_0~20121001-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRbxY/AAoJENPhc4PPp/8GD34P/iiFjIYQihxvR7OIivxS52xE
pOoBImCzaAoEBxX1bgphYKJZhi1LtGyXKPBwZ7wEnBS7w8KwhMMyyl+S2XhdbQXw
zTP3r2TMDlOGW7NWCM5RkFwxyy5ij9SjfCZbrw5ZQY6TaEtMDPGYgcP5LhLoVBnO
7IqHrO9gURzSEbeiZr0GXDjIjjHMas/Jnrdcv+rFt8ziKc4t9r3tk0FZoHJ6JPuc
IwGmj2ab7De1bzMuWVo0R9A9dP5slwJRXZL6jrEDauhqpTi2l7+oXhrFQV29u4V+
wQEKGhlY0dHIZfLHdVfmMVhxNGau0645d6iHorxmCfTTT0Z4+2fBJFOF3BX3gll2
pL3VEeNuhYIvhz7K7n0+H42/wCe/+X9dEPqVOnFUAO+iTVa117qTGDbFMV8EREcM
5R4NkZjVN+8smeFwTcguX65t4ZJJOfMkF0jrN31GXdsKnSMGujQx8QC7bUDjSxlv
9yhdz4BqFieL/Cy/ZdYZBCU802X0oJnojxQgIzyXVxErF4Pk9ZJH1fG1QJnEQPxG
pkNu7yzs+YBrE6esUBdG8JMCjs4OOLSjd96p2top4CsR1leIprQ4DiYhhycVEr5g
J1a9noQwGEiy8qA/tsALF/24iJdE0ogp4VB3AIh9EQjgdTfPbqCP/HcowbOQMRNi
B/boN4r8/1m9kH8h2Prw
=hBvm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:15:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.